Blockchain API | Parallel Developer Documentation
Parallel Developer Documentation Legacy – v1.x
This documentation is for Parallel Developer Documentation Legacy – v1.x, which is no longer actively maintained.
For up-to-date documentation, see the latest version (Current – v2.x).
Version: Legacy – v1.x
On this page
Get verified wallet details, as well as Parallel Identity (PID) Token information, for an individual or business.
This API requires that you first receive blockchain scope permission via a valid OAuth Access Token for an individual or business. You will then use that token for authentication for all requests.
The response includes information for both:
- The entity whose information is being shared (the "subject"). This can be either a business or an individual.
- The individual who is doing the sharing (the "user"). If a user is sharing information about themselves, then the user and the subject refer to the same individual entity.
HTTP Request with OAuth Token
GET https://api.parallelmarkets.com/v1/blockchain
You must send an Authorization header with a value of Bearer {token}, where {token} is a valid OAuth Access Token.
Query Parameters
None
Response Parameters
Response parameters that begin with user_ refer to the individual user who is doing the sharing. The other fields refer to the subject — the individual or business whose information is being shared.
| Parameter | Description |
|---|---|
id |
A unique identifier for the subject. |
type |
The entity type of the subject, either "individual" or "business". |
user_id |
A unique identifier for the individual who authenticated. If user_providing_for is "self", this will be the same as id (otherwise, this will be an identifier for the user providing information) |
user_providing_for |
This will be one of: |
- "self": The user has authenticated as themselves and is sharing their own information.
- "controlled-business": The user has authenticated as a business and is sharing that business' information. |
|
wallets| An array of Wallet objects. |
Examples
Get the blockchain information for a user/business.
curl https://api.parallelmarkets.com/v1/blockchain \
-H 'Authorization: Bearer {token}'
The above command returns JSON structured like this:
{
"id": "VXNlcjox",
"type": "individual",
"user_id": "VXNlcjox",
"user_providing_for": "self",
"wallets": [
{
"address": "0xAF09F77efd673f529b9b0087E63dbF9EE70b5479",
"type": "ethereum",
"tokens": [
{
"minted_at": "2022-09-23T16:43:24Z",
"sanctioned_at": null,
"token_id": 123,
"traits": ["reg-s-us-person", "accredited"]
}
]
}
]
}
In this example, the individual is sharing their own information, so the user_id is the same as the id, and user_providing_for is "self".
Here's an example of a person sharing information for a business.
{
"id": "Xxn203ty",
"type": "business",
"user_id": "VXNlcjox",
"user_providing_for": "controlled-business",
"wallets": [
{
"address": "0x087E63dbF9EE70b5479AF09F77efd673f529b9b0",
"type": "ethereum",
"tokens": [
{
"minted_at": "2022-09-23T16:43:24Z",
"sanctioned_at": null,
"token_id": 123,
"traits": ["reg-s-us-person", "accredited"]
}
]
}
]
}
HTTP Request with API Key
GET https://api.parallelmarkets.com/v1/blockchain/{id}
You must send an Authorization header with a value of Bearer {apiKey}, where {apiKey} is a valid API Key. The {id} value should be the unique ID of an individual or business (for instance, VXNlcjoxCg==).
Query Parameters
None
Response Parameters
The fields refer to the subject — the individual or business whose information is being shared.
| Parameter | Description |
|---|---|
id |
A unique identifier for the subject. |
type |
The entity type of the subject, either "individual" or "business". |
wallets |
An array of Wallet objects. |
Examples
Get the blockchain information for a user/business.
curl https://api.parallelmarkets.com/v1/blockchain/{id} \
-H 'Authorization: Bearer {apiKey}'
The above command returns JSON structured like this:
{
"id": "VXNlcjox",
"type": "individual",
"wallets": [
{
"address": "0xAF09F77efd673f529b9b0087E63dbF9EE70b5479",
"type": "ethereum",
"tokens": [
{
"minted_at": "2022-09-23T16:43:24Z",
"sanctioned_at": null,
"token_id": 123,
"traits": ["reg-s-us-person", "accredited"]
}
]
}
]
}
Here's an example of a response for a business.
{
"id": "Xxn203ty",
"type": "business",
"wallets": [
{
"address": "0x087E63dbF9EE70b5479AF09F77efd673f529b9b0",
"type": "ethereum",
"tokens": [
{
"minted_at": "2022-09-23T16:43:24Z",
"sanctioned_at": null,
"token_id": 123,
"traits": ["reg-s-us-person", "accredited"]
}
]
}
]
}